Illumience API

Single System Status Query (eSite Only)

You can query the cloud for the latest telemetry received for a specific MAC address

Single System Status Query

GET /v3/status/{mac}

This will return the latest status information available for a system. This data only updates when new telemetry data is received.

Headers

NameValue
api-keyThe apikey provided to access your customer data

Response

200

{
  "mac": string,
  "date": string,
  "time": string,
  "solarPower": double,
  "solarCurrent": double,
  "systemVoltage": double,
  "batterySoc": double,
  "batteryVoltage": double,
  "batteryChargeCurrent": double,
  "batteryState": integer,
  "producedEnergy": double,
  "consumedEnergy": double
}

401

{
  "error": "unauthorized "
}

50x

{
  "error": "internal server error "
}

Field Descriptions